# frozen_string_literal: true

require_relative 'lib/please/version'

Gem::Specification.new do |spec|
  spec.name          = 'openai-please'
  spec.version       = Please::VERSION
  spec.authors       = ['Joe Anderson']
  spec.email         = ['joe@osbert.me']

  spec.summary       = 'Convert natural language to bash commands using OpenAI Codex'
  spec.homepage      = 'https://github.com/12joan/please'
  spec.license       = 'MIT'
  spec.required_ruby_version = '>= 3.0'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  # Uncomment to register a new dependency of your gem
  spec.add_dependency 'ruby-openai', '>= 1.3'
  spec.add_dependency 'tty-prompt', '>= 0.23'

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
